Readme includes incorrect module install command

Bug #1468950 reported by Chris Matteson on 2015-06-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puppet-ceilometer
Wishlist
Matt Fischer
puppet-cinder
Wishlist
Matt Fischer
puppet-glance
Wishlist
Matt Fischer
puppet-heat
Wishlist
Erickson Filipe Guedes dos Santos
puppet-horizon
Wishlist
Matt Fischer
puppet-keystone
Wishlist
Matt Fischer
puppet-manila
Wishlist
Matt Fischer
puppet-neutron
Wishlist
Matt Fischer
puppet-nova
Wishlist
Matt Fischer
puppet-openstacklib
Wishlist
Unassigned
puppet-swift
Wishlist
Matt Fischer

Bug Description

Says:

example% puppet module install puppetlabs/keystone

Instead of:

puppet module install stackforge/keystone

And thus pulls the wrong module.

 affects puppet-ceilometer
 status confirmed
 importance wishlist
 affects puppet-cinder
 status confirmed
 importance wishlist
 affects puppet-glance
 status confirmed
 importance wishlist
 affects puppet-heat
 status confirmed
 importance wishlist
 affects puppet-horizon
 status confirmed
 importance wishlist
 affects puppet-keystone
 status confirmed
 importance wishlist
 affects puppet-manila
 status confirmed
 importance wishlist
 affects puppet-neutron
 status confirmed
 importance wishlist
 affects puppet-nova
 status confirmed
 importance wishlist
 affects puppet-openstacklib
 status confirmed
 importance wishlist
 affects puppet-swift
 status confirmed
 importance wishlist

On Thu, Jun 25, 2015 at 11:40:30PM (-0000), Chris Matteson wrote:
> And thus pulls the wrong module.

Thanks Chris for this bug report, we fix this soon.

Changed in puppet-keystone:
importance: Undecided → Wishlist
status: New → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/199806

Changed in puppet-ceilometer:
assignee: nobody → Matt Fischer (mfisch)
status: Confirmed → In Progress
Changed in puppet-cinder:
assignee: nobody → Matt Fischer (mfisch)
status: Confirmed → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/199807

Changed in puppet-glance:
assignee: nobody → Matt Fischer (mfisch)
status: Confirmed → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/199808

Changed in puppet-horizon:
assignee: nobody → Matt Fischer (mfisch)
status: Confirmed → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/199809

Changed in puppet-keystone:
assignee: nobody → Matt Fischer (mfisch)
status: Confirmed → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/199810

Changed in puppet-manila:
assignee: nobody → Matt Fischer (mfisch)
status: Confirmed → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/199811

Changed in puppet-neutron:
assignee: nobody → Matt Fischer (mfisch)
status: Confirmed → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/199812

Changed in puppet-nova:
assignee: nobody → Matt Fischer (mfisch)
status: Confirmed → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/199813

Changed in puppet-swift:
assignee: nobody → Matt Fischer (mfisch)
status: Confirmed → In Progress

Change abandoned by Matt Fischer (<email address hidden>) on branch: master
Review: https://review.openstack.org/199806

Reviewed: https://review.openstack.org/199807
Committed: https://git.openstack.org/cgit/openstack/puppet-cinder/commit/?id=6139316c5dd719a8f50a6e25649d618d7e608fde
Submitter: Jenkins
Branch: master

commit 6139316c5dd719a8f50a6e25649d618d7e608fde
Author: Matt Fischer <email address hidden>
Date: Wed Jul 8 19:12:31 2015 -0600

    fix module install reference

    Change-Id: Ibec1af8cbbf28d93373427797d549b72c4d5640c
    Closes-Bug: #1468950

Changed in puppet-cinder:
status: In Progress → Fix Committed
Changed in puppet-glance:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/199808
Committed: https://git.openstack.org/cgit/openstack/puppet-glance/commit/?id=dc2fae0b7ebfd360498fb06070c4a9c744d8f088
Submitter: Jenkins
Branch: master

commit dc2fae0b7ebfd360498fb06070c4a9c744d8f088
Author: Matt Fischer <email address hidden>
Date: Wed Jul 8 19:12:31 2015 -0600

    fix module install reference

    Change-Id: I7e55874d744ac56122b96b051dd3d554bf26d360
    Closes-Bug: #1468950

Changed in puppet-horizon:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/199809
Committed: https://git.openstack.org/cgit/openstack/puppet-horizon/commit/?id=60fcf9aa84a9900f2b17d0e1715a818a7aaac362
Submitter: Jenkins
Branch: master

commit 60fcf9aa84a9900f2b17d0e1715a818a7aaac362
Author: Matt Fischer <email address hidden>
Date: Wed Jul 8 19:12:32 2015 -0600

    fix module install reference

    Change-Id: I6942e4b97c88ece843f0885c7dd014ee6e9a2d55
    Closes-Bug: #1468950

Changed in puppet-manila:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/199811
Committed: https://git.openstack.org/cgit/openstack/puppet-manila/commit/?id=d7e2c50c85eb00e9aa7d106e58eb71afeb13c0fc
Submitter: Jenkins
Branch: master

commit d7e2c50c85eb00e9aa7d106e58eb71afeb13c0fc
Author: Matt Fischer <email address hidden>
Date: Wed Jul 8 19:12:32 2015 -0600

    fix module install reference

    Change-Id: Ibd1372b37333a0ac3682830e797102f74c08a87b
    Closes-Bug: #1468950

Changed in puppet-swift:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/199815
Committed: https://git.openstack.org/cgit/openstack/puppet-swift/commit/?id=ceb69f9dda772e4fe4acce19bed282da7928aaa4
Submitter: Jenkins
Branch: master

commit ceb69f9dda772e4fe4acce19bed282da7928aaa4
Author: Matt Fischer <email address hidden>
Date: Wed Jul 8 19:12:32 2015 -0600

    fix module install reference

    Change-Id: Ie475a893e0b12a283251b41777dbfa6995f933b3
    Closes-Bug: #1468950

Changed in puppet-neutron:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/199812
Committed: https://git.openstack.org/cgit/openstack/puppet-neutron/commit/?id=b1107a9259eb6b971bb017234b4bd047ec219a04
Submitter: Jenkins
Branch: master

commit b1107a9259eb6b971bb017234b4bd047ec219a04
Author: Matt Fischer <email address hidden>
Date: Wed Jul 8 19:12:32 2015 -0600

    fix module install reference

    Change-Id: Ia9ca97797d84bb9281980963887019962a89f815
    Closes-Bug: #1468950

Reviewed: https://review.openstack.org/199813
Committed: https://git.openstack.org/cgit/openstack/puppet-nova/commit/?id=f991b7107d0a3c51c4c367c52f844f55ac82429e
Submitter: Jenkins
Branch: master

commit f991b7107d0a3c51c4c367c52f844f55ac82429e
Author: Matt Fischer <email address hidden>
Date: Wed Jul 8 19:12:32 2015 -0600

    fix module install reference

    Change-Id: Ia7ed93df7239fef4816fc045caea129acb5cc7c0
    Closes-Bug: #1468950

Changed in puppet-nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/199810
Committed: https://git.openstack.org/cgit/openstack/puppet-keystone/commit/?id=ba5b778925f6974938de64d9818cbfdcc9db99c3
Submitter: Jenkins
Branch: master

commit ba5b778925f6974938de64d9818cbfdcc9db99c3
Author: Matt Fischer <email address hidden>
Date: Wed Jul 8 19:12:32 2015 -0600

    fix module install reference

    Change-Id: I5a6e8f27c6a8731eee71804a15069e323ee8b9aa
    Closes-Bug: #1468950

Changed in puppet-keystone:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/199806
Committed: https://git.openstack.org/cgit/openstack/puppet-ceilometer/commit/?id=c69508b6f20d092d950e0ccdba9842b1a845e65a
Submitter: Jenkins
Branch: master

commit c69508b6f20d092d950e0ccdba9842b1a845e65a
Author: Matt Fischer <email address hidden>
Date: Wed Jul 8 19:12:31 2015 -0600

    fix module install reference

    Change-Id: If81d565f6b6b99d129c9416f5362ce0258d79e09
    Closes-Bug: #1468950

Changed in puppet-ceilometer:
status: In Progress → Fix Committed
Changed in puppet-heat:
assignee: nobody → Iury Gregory Melo Ferreira (iurygregory)
Changed in puppet-openstacklib:
assignee: nobody → Iury Gregory Melo Ferreira (iurygregory)
Changed in puppet-heat:
assignee: Iury Gregory Melo Ferreira (iurygregory) → nobody
Changed in puppet-heat:
assignee: nobody → Erickson Filipe Guedes dos Santos (ericksonfilipe)

Fix proposed to branch: master
Review: https://review.openstack.org/205157

Changed in puppet-heat:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/205157
Committed: https://git.openstack.org/cgit/openstack/puppet-heat/commit/?id=e9b10e86fe5a174c6b5adca9a1036cbffd680ba4
Submitter: Jenkins
Branch: master

commit e9b10e86fe5a174c6b5adca9a1036cbffd680ba4
Author: Erickson Santos <email address hidden>
Date: Thu Jul 23 13:52:30 2015 -0300

    Fix module install reference

    Change-Id: Ia2e1c72439b2fbc5af233056773031294ef12ecb
    Closes-Bug: #1468950

Changed in puppet-heat:
status: In Progress → Fix Committed
Changed in puppet-openstacklib:
assignee: Iury Gregory Melo Ferreira (iurygregory) → nobody
Andrey (aembrito) on 2015-07-30
Changed in puppet-openstacklib:
assignee: nobody → Andrey (aembrito)
Changed in puppet-openstacklib:
assignee: Andrey (aembrito) → nobody
status: Confirmed → Fix Committed
tags: added: low-hanging-fruit
Changed in puppet-ceilometer:
status: Fix Committed → Fix Released
Changed in puppet-cinder:
status: Fix Committed → Fix Released
Changed in puppet-glance:
status: Fix Committed → Fix Released
Changed in puppet-heat:
status: Fix Committed → Fix Released
Changed in puppet-horizon:
status: Fix Committed → Fix Released
Changed in puppet-keystone:
status: Fix Committed → Fix Released
Changed in puppet-manila:
status: Fix Committed → Fix Released
Changed in puppet-neutron:
status: Fix Committed → Fix Released
Changed in puppet-nova:
status: Fix Committed → Fix Released
Changed in puppet-openstacklib:
status: Fix Committed → Fix Released
Changed in puppet-swift:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers